Wipple CPaaS
メニュー
REST API / 会議の一覧

会議の一覧取得

GEThttps://{API_ENDPOINT}/v1/Accounts/{AccountSid}/Conferences

認証

  • Authorization ヘッダー (ベアラートークン, 必須) — Bearer <token> 形式のベアラー認証です。token にはご自身の認証トークンを指定します。

リクエスト

パスパラメータ

  • AccountSidstring必須

クエリパラメータ

  • expandenum任意"participants" を指定すると、会議名の単純なリストの代わりに、通話時間とメンバーごとの詳細 (call_sid、label、memberTag) を含むライブルームを返します。進行中の通話レグのみが含まれます。
  • 指定可能な値: participants

レスポンス

200

指定したアカウントの会議一覧。デフォルトでは会議名の単純な配列、expand=participants を指定した場合は ConferenceRoom オブジェクトの配列です。

  • Conferences_listConferences_Response_200

エラー

500 Internal Server Error

システムエラー

  • msgstring必須

例

リクエスト

{}

レスポンス

[
  "conf_9f8b7c6d5e4a3b2c1d0e"
]

cURL

curl -X GET "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Conferences" \
  -H "Authorization: Bearer <token>"

Python

import requests

url = "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Conferences"

headers = {
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())

JavaScript

const url = 'https://{API_ENDPOINT}/v1/Accounts/AccountSid/Conferences';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}